package com.bocloud.cmp.provider.azure.slb;

import com.bocloud.cmp.model.azure.slb.SlbModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * @ClassName: LoadBalanceProvider
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/10/15 14:25
 */
public interface LoadBalanceProvider extends SuperProvider {

    default BocloudResult list() {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult create(SlbModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult detail(String uuid) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult remove(String uuid) {
        return new BocloudResult(false, "need implement");
    }

}